Bug 37816 - [Qt] Multitouch mocking in QtLauncher doesn't work with QGraphicsView
: [Qt] Multitouch mocking in QtLauncher doesn't work with QGraphicsView
Status: CLOSED FIXED
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 528+ (Nightly build)
: PC Linux
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks: 35784
  Show dependency treegraph
 
Reported: 2010-04-19 13:11 PDT by Kim Grönholm
Modified: 2010-04-21 04:20 PDT (History)
4 users (show)

See Also:


Attachments
Fix multi-touch mocking in QtLauncher when using QGraphicsView. (1.73 KB, patch)
2010-04-19 13:19 PDT, Kim Grönholm
hausmann: review+
commit-queue: commit‑queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kim Grönholm 2010-04-19 13:11:24 PDT
Currently multi-touch mocking in QtLauncher works only with QWebView. Test page: https://bug-32434-attachments.webkit.org/attachment.cgi?id=44955.
Comment 1 Kim Grönholm 2010-04-19 13:19:10 PDT
Created attachment 53713 [details]
Fix multi-touch mocking in QtLauncher when using QGraphicsView.
Comment 2 WebKit Commit Bot 2010-04-20 05:37:27 PDT
Comment on attachment 53713 [details]
Fix multi-touch mocking in QtLauncher when using QGraphicsView.

Rejecting patch 53713 from commit-queue.

Unexpected failure when landing patch!  Please file a bug against webkit-patch.
Failed to run "['WebKitTools/Scripts/webkit-patch', '--status-host=webkit-commit-queue.appspot.com', 'land-attachment', '--force-clean', '--build', '--test', '--non-interactive', '--ignore-builders', '--build-style=both', '--quiet', '53713', '--parent-command=commit-queue', '--no-update']" exit_code: 1
Last 500 characters of output:
', 'commit', '--all', '-F', '-'], input=message)
  File "/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/webkitpy/common/system/executive.py", line 85, in run_command
    return Executive().run_command(*args, **kwargs)
  File "/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/webkitpy/common/system/executive.py", line 186, in run_command
    string_to_communicate = str(input)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xf6' in position 18: ordinal not in range(128)
Comment 3 Simon Hausmann 2010-04-20 10:42:17 PDT
Committed r57897: <http://trac.webkit.org/changeset/57897>
Comment 4 Simon Hausmann 2010-04-20 12:49:56 PDT
Revision r57897 cherry-picked into qtwebkit-2.0 with commit 98e5667203fbe3366c3758d4da000ad5943ae32f
Comment 5 Eric Seidel 2010-04-20 22:49:45 PDT
The Qt windows builder is busted.  This appears to be the only possibly related change.

In file included from ..\..\..\..\WebKitTools\QtLauncher\/webview.h:38,
                 from ..\..\..\..\WebKitTools\QtLauncher\webview.cpp:33:
..\..\include\QtWebKit/qgraphicswebview.h:1:95: error: T:/WindowsDebug/buildslave/windows-qt-debug/build/WebKit/qt/Api/qgraphicswebview.h: No such file or directory
In file included from ..\..\..\..\WebKitTools\QtLauncher\webview.cpp:33:
..\..\..\..\WebKitTools\QtLauncher\/webview.h:55: error: expected class-name before '{' token
..\..\..\..\WebKitTools\QtLauncher\/webview.h: In constructor 'GraphicsWebView::GraphicsWebView(QGraphicsItem*)':
Comment 6 Simon Hausmann 2010-04-20 22:59:37 PDT
Could be that it was broken for a while but that the incremental rebuilds didn't rebuild QtLauncher
Comment 7 Eric Seidel 2010-04-20 23:05:12 PDT
I suspect that's exactly the case.  I suspect that QtLauncher's dependencies are not properly expressed in the build system.
Comment 8 Eric Seidel 2010-04-20 23:05:27 PDT
Should we roll this out Simon, or is there an easy fix?
Comment 9 Eric Seidel 2010-04-20 23:53:11 PDT
Waiting for the Qt bot to finish rolling.  If it fails I'll start a rollout of this.
Comment 10 Eric Seidel 2010-04-21 04:20:16 PDT
The bot rolled green.

Sorry for the trouble with the commit-queue and webkit-patch.  You ran into bug 37765, which hopefully will be fixed tomorrow.